Welcome to OCS Inventory NG community support, where you can ask questions and receive answers from other members of the community.

Please ask questions only in English or French.

Release 2.5 available

The official documentation can be found on http://wiki.ocsinventory-ng.org. Read it before asking your question.

Impossible d'arrêter le service ocs agent

Bonjour,

Voila depuis plusieurs jours je suis bloquer sur un problème de remontée de l'inventaire sur OCS.
Dans mon fichier d'erreur de Apache je ne trouve aucune erreur.

Mais dans le fichier des logs de mon agent je trouve l'erreur suivante
ERROR *** AGENT => Failed to send Prolog <HTTP Status Code #404>

J'ai regardé sur internet ils disent que cela vient du SSL qui n'est pas à 0 . Dans mon fichier .ini le SSL est à 1 mais le soucis c'est que je ne peux pas le modifier car le service est lancé que lui même je ne peux pas stoper... Je me retrouve vraiment bloquer pour info l'agent je l'ai deployé via une GPO.

Merci
asked in OCS Inventory NG agent for Windows by (160 points)

3 Answers

0 votes
Je ne sais pas où tu as trouvé une info aussi mauvaise mais une erreur 404 ne vient pas du SSL.

Déjà pour commencer, mettre le SSL=0 revient à désactiver toutes les protection SSL (peut être utile dans le cadre d'un test) et rend ainsi ta machine vulnérable à n'importe quel attaque (OCS permet de prendre le contrôle intégrale de ta machine donc virer la protection est une très mauvaise idée).

L'erreur 404 signifie que la ressource demandé sur le serveur n'existe pas. Il s'agit donc probablement d'un problème d'installation de ton serveur. Donc commence par nous donner la version de ton serveur et sur quel OS tu l'as installé et surtout : comment tu l'as installé.
answered by (19.2k points)
0 votes
Merci pour ta réponse, bah c'est en faisant des recherches ils en parlaient..

Donc les versions que j'ai pour le server j'utilise la version 2.1.2 sous windows 2012 R2.  et pour l'agent c'est 2.3.11.

Pour l'installation du server j'ai juste lancé l'executable. Et pour l'agent j'ai tout mis en 1 seul executable et je l'ai deployé via une gpo.

Merci
answered by (160 points)
0 votes
Le serveur en version 2.1 n'est compatible qu'avec des agents en version 2.1 ou inférieur. Donc déjà ton agent ne peut pas marcher sur ton serveur.

Pour ton serveur, il doit s'agit d'un problème de mod_perl qui n'est pas chargé correctement. Je ne connais pas bien la version windows (qui n'est d'ailleurs pas recommandé à utiliser en production sauf si t'aime les produit pas à jour avec des failles de sécurité). Je ne peux donc que te conseiller de refaire ton serveur sous linux.
answered by (19.2k points)
 
Powered by Question2Answer
...